-- 基础信息
base_info = {
	group_id = 235800006
}

-- DEFS_MISCS
defs ={
        GalleryID = 6001,
        MainGroupID = 235800001,
        GroupID = 235800006,
        FloorSuites = {2,4,6,8,10,12},
        FloorTimeAxis = {
                [1] = {
                        InvisibleTimeAxis = {3,16,29,42,55},
                        PreVisibleTimeAxis = {5,7,9,11,18,21,24,32,35,37,44,46,48,50,57,59},
                        VisibleTimeAxis = {13,26,39,52}
                },
                [2] = {
                        InvisibleTimeAxis = {5,20,35,50},
                        PreVisibleTimeAxis = {7,9,11,13,22,24,26,28,38,41,43,52,54,56,58},
                        VisibleTimeAxis = {15,30,45,60}
                }
        },

        PreVisibleFloorNumRange = {min = 2, max = 4},
        FlowerGadgetID = 70350187,
        FlowerBornTimeLine = {10,20,30,40,50},
        FlowerDeathTimeLine = {18,28,38,48,58},
        FlowerNumRange = {min =4, max = 8},
        FlowerHeight = 2,
        FallRegionConfigID =  6073,
        RevivePoint = {pos = {x=224.4635, y= 21.55999, z=19.95908},
                                   radius = 2, rot = {x=0, y=180, z=0}},
        OverRegionConfigID = 6311
}

local regionIndex =  6190

--消失路面
--到达终点后奖励的能量值
local InvisibleFloor_Clear_Bonus = 70
--限时未到达终点时扣除的能量值
local InvisibleFloor_Failed_Deduction = -10
--每次落水扣除的能量值
local InvisibleFloor_Falling_Deduction = -2

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[6001] = { config_id = 6001, gadget_id = 70310039, pos = { x = 224.289, y = 20.138, z = 3.782 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6002] = { config_id = 6002, gadget_id = 70310039, pos = { x = 214.038, y = 20.138, z = -17.072 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6003] = { config_id = 6003, gadget_id = 70310039, pos = { x = 224.308, y = 20.138, z = 12.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6004] = { config_id = 6004, gadget_id = 70310039, pos = { x = 218.259, y = 20.138, z = -14.121 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6005] = { config_id = 6005, gadget_id = 70310039, pos = { x = 224.308, y = 20.138, z = 9.760 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6006] = { config_id = 6006, gadget_id = 70310039, pos = { x = 224.308, y = 20.138, z = 6.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6007] = { config_id = 6007, gadget_id = 70310039, pos = { x = 227.288, y = 20.138, z = 6.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6008] = { config_id = 6008, gadget_id = 70310039, pos = { x = 212.268, y = 20.138, z = -14.132 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6009] = { config_id = 6009, gadget_id = 70310039, pos = { x = 215.257, y = 20.138, z = -14.111 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6010] = { config_id = 6010, gadget_id = 70310039, pos = { x = 233.246, y = 20.138, z = -5.169 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6011] = { config_id = 6011, gadget_id = 70310039, pos = { x = 233.246, y = 20.138, z = -8.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6012] = { config_id = 6012, gadget_id = 70310039, pos = { x = 230.283, y = 20.138, z = -2.181 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6013] = { config_id = 6013, gadget_id = 70310039, pos = { x = 233.269, y = 20.138, z = -2.181 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6014] = { config_id = 6014, gadget_id = 70310039, pos = { x = 233.242, y = 20.138, z = -11.149 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6015] = { config_id = 6015, gadget_id = 70310039, pos = { x = 227.293, y = 20.138, z = -2.173 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6016] = { config_id = 6016, gadget_id = 70310039, pos = { x = 221.309, y = 20.138, z = 6.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6017] = { config_id = 6017, gadget_id = 70310039, pos = { x = 218.316, y = 20.138, z = 6.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6018] = { config_id = 6018, gadget_id = 70310039, pos = { x = 218.316, y = 20.138, z = 3.785 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6019] = { config_id = 6019, gadget_id = 70310039, pos = { x = 215.310, y = 20.138, z = 0.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6020] = { config_id = 6020, gadget_id = 70310039, pos = { x = 221.299, y = 20.138, z = -2.156 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6021] = { config_id = 6021, gadget_id = 70310039, pos = { x = 212.306, y = 20.138, z = 0.848 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6022] = { config_id = 6022, gadget_id = 70310039, pos = { x = 215.289, y = 20.138, z = -2.185 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6023] = { config_id = 6023, gadget_id = 70310039, pos = { x = 212.328, y = 20.138, z = -5.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6024] = { config_id = 6024, gadget_id = 70310039, pos = { x = 212.328, y = 20.138, z = -8.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6025] = { config_id = 6025, gadget_id = 70310039, pos = { x = 227.243, y = 20.138, z = -11.174 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6026] = { config_id = 6026, gadget_id = 70310039, pos = { x = 215.342, y = 20.138, z = -8.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6027] = { config_id = 6027, gadget_id = 70310039, pos = { x = 218.329, y = 20.138, z = -8.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6028] = { config_id = 6028, gadget_id = 70310039, pos = { x = 218.303, y = 20.138, z = -2.161 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6029] = { config_id = 6029, gadget_id = 70310039, pos = { x = 224.261, y = 20.138, z = -5.139 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6030] = { config_id = 6030, gadget_id = 70310039, pos = { x = 221.255, y = 20.138, z = -14.124 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6031] = { config_id = 6031, gadget_id = 70310039, pos = { x = 221.272, y = 20.138, z = -5.137 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6032] = { config_id = 6032, gadget_id = 70310039, pos = { x = 227.250, y = 20.138, z = -5.169 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6033] = { config_id = 6033, gadget_id = 70310039, pos = { x = 227.246, y = 20.138, z = -14.172 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6034] = { config_id = 6034, gadget_id = 70310039, pos = { x = 230.231, y = 20.138, z = -11.177 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6035] = { config_id = 6035, gadget_id = 70310039, pos = { x = 227.244, y = 20.138, z = -17.130 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6036] = { config_id = 6036, gadget_id = 70310039, pos = { x = 224.516, y = 20.138, z = 12.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6037] = { config_id = 6037, gadget_id = 70310039, pos = { x = 218.479, y = 20.138, z = -11.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6038] = { config_id = 6038, gadget_id = 70310039, pos = { x = 218.508, y = 20.138, z = -2.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6039] = { config_id = 6039, gadget_id = 70310039, pos = { x = 224.516, y = 20.138, z = 9.763 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6040] = { config_id = 6040, gadget_id = 70310039, pos = { x = 224.516, y = 20.138, z = 6.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6041] = { config_id = 6041, gadget_id = 70310039, pos = { x = 221.506, y = 20.138, z = 6.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6042] = { config_id = 6042, gadget_id = 70310039, pos = { x = 218.512, y = 20.138, z = 3.784 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6043] = { config_id = 6043, gadget_id = 70310039, pos = { x = 218.512, y = 20.138, z = 0.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6044] = { config_id = 6044, gadget_id = 70310039, pos = { x = 215.508, y = 20.138, z = 0.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6045] = { config_id = 6045, gadget_id = 70310039, pos = { x = 212.518, y = 20.138, z = 0.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6046] = { config_id = 6046, gadget_id = 70310039, pos = { x = 212.518, y = 20.138, z = -2.226 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6047] = { config_id = 6047, gadget_id = 70310039, pos = { x = 218.509, y = 20.138, z = 6.776 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6048] = { config_id = 6048, gadget_id = 70310039, pos = { x = 227.507, y = 20.138, z = 6.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6049] = { config_id = 6049, gadget_id = 70310039, pos = { x = 230.491, y = 20.138, z = 6.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6050] = { config_id = 6050, gadget_id = 70310039, pos = { x = 233.479, y = 20.138, z = 6.765 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6051] = { config_id = 6051, gadget_id = 70310039, pos = { x = 212.497, y = 20.138, z = 6.784 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6052] = { config_id = 6052, gadget_id = 70310039, pos = { x = 230.491, y = 20.138, z = 3.777 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6053] = { config_id = 6053, gadget_id = 70310039, pos = { x = 230.491, y = 20.138, z = 0.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6054] = { config_id = 6054, gadget_id = 70310039, pos = { x = 230.491, y = 20.138, z = -2.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6055] = { config_id = 6055, gadget_id = 70310039, pos = { x = 233.493, y = 20.138, z = -2.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6056] = { config_id = 6056, gadget_id = 70310039, pos = { x = 215.502, y = 20.138, z = 6.784 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6057] = { config_id = 6057, gadget_id = 70310039, pos = { x = 224.478, y = 20.138, z = -2.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6058] = { config_id = 6058, gadget_id = 70310039, pos = { x = 224.478, y = 20.138, z = -5.207 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6059] = { config_id = 6059, gadget_id = 70310039, pos = { x = 224.478, y = 20.138, z = -8.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6060] = { config_id = 6060, gadget_id = 70310039, pos = { x = 224.478, y = 20.138, z = -11.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6061] = { config_id = 6061, gadget_id = 70310039, pos = { x = 221.478, y = 20.138, z = -11.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6062] = { config_id = 6062, gadget_id = 70310039, pos = { x = 227.465, y = 20.138, z = -8.223 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6063] = { config_id = 6063, gadget_id = 70310039, pos = { x = 224.478, y = 20.138, z = -14.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6064] = { config_id = 6064, gadget_id = 70310039, pos = { x = 233.493, y = 20.138, z = -5.202 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6065] = { config_id = 6065, gadget_id = 70310039, pos = { x = 236.494, y = 20.138, z = -5.196 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6066] = { config_id = 6066, gadget_id = 70310039, pos = { x = 236.469, y = 20.138, z = -8.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6067] = { config_id = 6067, gadget_id = 70310039, pos = { x = 236.463, y = 20.138, z = -11.177 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6068] = { config_id = 6068, gadget_id = 70310039, pos = { x = 236.446, y = 20.138, z = -14.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6069] = { config_id = 6069, gadget_id = 70310039, pos = { x = 233.443, y = 20.138, z = -14.177 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6070] = { config_id = 6070, gadget_id = 70310039, pos = { x = 233.432, y = 20.138, z = -17.170 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6071] = { config_id = 6071, gadget_id = 70310039, pos = { x = 224.470, y = 20.138, z = -17.155 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6072] = { config_id = 6072, gadget_id = 70310039, pos = { x = 230.446, y = 20.138, z = -17.205 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6074] = { config_id = 6074, gadget_id = 70350005, pos = { x = 224.481, y = 21.452, z = 23.001 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6075] = { config_id = 6075, gadget_id = 70350005, pos = { x = 224.481, y = 21.452, z = -33.686 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6076] = { config_id = 6076, gadget_id = 70310039, pos = { x = 224.106, y = 20.112, z = 12.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6077] = { config_id = 6077, gadget_id = 70310039, pos = { x = 224.106, y = 20.112, z = 9.733 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6078] = { config_id = 6078, gadget_id = 70310039, pos = { x = 224.106, y = 20.112, z = 6.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6079] = { config_id = 6079, gadget_id = 70310039, pos = { x = 227.094, y = 20.112, z = 6.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6080] = { config_id = 6080, gadget_id = 70310039, pos = { x = 227.079, y = 20.112, z = 3.743 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6081] = { config_id = 6081, gadget_id = 70310039, pos = { x = 233.096, y = 20.112, z = 6.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6082] = { config_id = 6082, gadget_id = 70310039, pos = { x = 233.096, y = 20.112, z = 3.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6083] = { config_id = 6083, gadget_id = 70310039, pos = { x = 233.070, y = 20.112, z = 0.740 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6084] = { config_id = 6084, gadget_id = 70310039, pos = { x = 224.084, y = 20.112, z = 0.757 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6085] = { config_id = 6085, gadget_id = 70310039, pos = { x = 227.103, y = 20.112, z = -5.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6086] = { config_id = 6086, gadget_id = 70310039, pos = { x = 227.098, y = 20.112, z = -2.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6087] = { config_id = 6087, gadget_id = 70310039, pos = { x = 227.081, y = 20.112, z = 0.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6088] = { config_id = 6088, gadget_id = 70310039, pos = { x = 230.076, y = 20.112, z = 0.747 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6089] = { config_id = 6089, gadget_id = 70310039, pos = { x = 218.122, y = 20.112, z = 12.721 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6090] = { config_id = 6090, gadget_id = 70310039, pos = { x = 224.096, y = 20.112, z = -5.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6091] = { config_id = 6091, gadget_id = 70310039, pos = { x = 236.075, y = 20.112, z = -11.211 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6092] = { config_id = 6092, gadget_id = 70310039, pos = { x = 224.096, y = 20.112, z = -8.253 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6093] = { config_id = 6093, gadget_id = 70310039, pos = { x = 224.096, y = 20.112, z = -11.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6094] = { config_id = 6094, gadget_id = 70310039, pos = { x = 221.085, y = 20.112, z = -20.199 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6095] = { config_id = 6095, gadget_id = 70310039, pos = { x = 233.097, y = 20.112, z = 9.753 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6096] = { config_id = 6096, gadget_id = 70310039, pos = { x = 233.117, y = 20.112, z = 12.772 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6097] = { config_id = 6097, gadget_id = 70310039, pos = { x = 218.121, y = 20.112, z = 3.760 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6098] = { config_id = 6098, gadget_id = 70310039, pos = { x = 218.121, y = 20.112, z = 0.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6099] = { config_id = 6099, gadget_id = 70310039, pos = { x = 215.125, y = 20.112, z = -2.234 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6100] = { config_id = 6100, gadget_id = 70310039, pos = { x = 212.110, y = 20.112, z = -2.248 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6101] = { config_id = 6101, gadget_id = 70310039, pos = { x = 212.126, y = 20.112, z = -5.247 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6102] = { config_id = 6102, gadget_id = 70310039, pos = { x = 212.126, y = 20.112, z = -8.251 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6103] = { config_id = 6103, gadget_id = 70310039, pos = { x = 212.126, y = 20.112, z = -11.246 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6104] = { config_id = 6104, gadget_id = 70310039, pos = { x = 218.091, y = 20.112, z = -14.241 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6105] = { config_id = 6105, gadget_id = 70310039, pos = { x = 230.066, y = 20.112, z = -14.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6106] = { config_id = 6106, gadget_id = 70310039, pos = { x = 224.083, y = 20.112, z = -20.189 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6107] = { config_id = 6107, gadget_id = 70310039, pos = { x = 227.082, y = 20.112, z = -11.221 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6108] = { config_id = 6108, gadget_id = 70310039, pos = { x = 230.077, y = 20.112, z = -11.221 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6109] = { config_id = 6109, gadget_id = 70310039, pos = { x = 215.128, y = 20.112, z = -11.244 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6110] = { config_id = 6110, gadget_id = 70310039, pos = { x = 233.057, y = 20.112, z = -11.213 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6111] = { config_id = 6111, gadget_id = 70310039, pos = { x = 215.099, y = 20.112, z = -14.228 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6112] = { config_id = 6112, gadget_id = 70310039, pos = { x = 216.706, y = 20.112, z = 9.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6113] = { config_id = 6113, gadget_id = 70310039, pos = { x = 216.720, y = 20.112, z = 12.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6114] = { config_id = 6114, gadget_id = 70310039, pos = { x = 227.107, y = 20.112, z = 12.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6115] = { config_id = 6115, gadget_id = 70310039, pos = { x = 227.107, y = 20.112, z = 9.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6116] = { config_id = 6116, gadget_id = 70310039, pos = { x = 230.110, y = 20.112, z = 9.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6117] = { config_id = 6117, gadget_id = 70310039, pos = { x = 230.110, y = 20.112, z = 6.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6118] = { config_id = 6118, gadget_id = 70310039, pos = { x = 233.090, y = 20.112, z = 6.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6119] = { config_id = 6119, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = 3.747 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6120] = { config_id = 6120, gadget_id = 70310039, pos = { x = 233.090, y = 20.112, z = 3.739 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6121] = { config_id = 6121, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = 0.743 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6122] = { config_id = 6122, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6123] = { config_id = 6123, gadget_id = 70310039, pos = { x = 224.063, y = 20.112, z = -5.263 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6124] = { config_id = 6124, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = -8.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6125] = { config_id = 6125, gadget_id = 70310039, pos = { x = 233.075, y = 20.112, z = -8.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6126] = { config_id = 6126, gadget_id = 70310039, pos = { x = 230.078, y = 20.112, z = -8.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6127] = { config_id = 6127, gadget_id = 70310039, pos = { x = 230.062, y = 20.112, z = -5.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6128] = { config_id = 6128, gadget_id = 70310039, pos = { x = 227.067, y = 20.112, z = -5.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6129] = { config_id = 6129, gadget_id = 70310039, pos = { x = 230.112, y = 20.112, z = -2.244 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6130] = { config_id = 6130, gadget_id = 70310039, pos = { x = 224.070, y = 20.112, z = -2.246 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6131] = { config_id = 6131, gadget_id = 70310039, pos = { x = 218.074, y = 20.112, z = -11.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6132] = { config_id = 6132, gadget_id = 70310039, pos = { x = 215.080, y = 20.112, z = -11.211 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6133] = { config_id = 6133, gadget_id = 70310039, pos = { x = 215.068, y = 20.112, z = -20.205 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6134] = { config_id = 6134, gadget_id = 70310039, pos = { x = 215.086, y = 20.112, z = -17.215 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6135] = { config_id = 6135, gadget_id = 70310039, pos = { x = 218.100, y = 20.112, z = -20.217 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6136] = { config_id = 6136, gadget_id = 70310039, pos = { x = 221.099, y = 20.112, z = -24.216 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6137] = { config_id = 6137, gadget_id = 70310039, pos = { x = 221.099, y = 20.112, z = -21.228 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6138] = { config_id = 6138, gadget_id = 70310039, pos = { x = 215.076, y = 20.112, z = -14.207 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6139] = { config_id = 6139, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = -11.239 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6140] = { config_id = 6140, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = -14.238 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6141] = { config_id = 6141, gadget_id = 70310039, pos = { x = 233.077, y = 20.112, z = -14.236 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6142] = { config_id = 6142, gadget_id = 70310039, pos = { x = 230.075, y = 20.112, z = -14.236 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6143] = { config_id = 6143, gadget_id = 70310039, pos = { x = 224.106, y = 20.112, z = 12.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6144] = { config_id = 6144, gadget_id = 70310039, pos = { x = 224.106, y = 20.112, z = 9.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6145] = { config_id = 6145, gadget_id = 70310039, pos = { x = 227.107, y = 20.112, z = 9.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6146] = { config_id = 6146, gadget_id = 70310039, pos = { x = 230.114, y = 20.112, z = 9.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6147] = { config_id = 6147, gadget_id = 70310039, pos = { x = 230.114, y = 20.112, z = 6.734 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6148] = { config_id = 6148, gadget_id = 70310039, pos = { x = 233.111, y = 20.112, z = 6.734 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6149] = { config_id = 6149, gadget_id = 70310039, pos = { x = 233.111, y = 20.112, z = 3.748 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6150] = { config_id = 6150, gadget_id = 70310039, pos = { x = 236.106, y = 20.112, z = 3.748 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6151] = { config_id = 6151, gadget_id = 70310039, pos = { x = 233.102, y = 20.112, z = -2.273 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6152] = { config_id = 6152, gadget_id = 70310039, pos = { x = 227.124, y = 20.112, z = 0.761 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6153] = { config_id = 6153, gadget_id = 70310039, pos = { x = 233.119, y = 20.112, z = -5.266 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6154] = { config_id = 6154, gadget_id = 70310039, pos = { x = 236.106, y = 20.112, z = -8.271 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6155] = { config_id = 6155, gadget_id = 70310039, pos = { x = 233.097, y = 20.112, z = -8.281 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6156] = { config_id = 6156, gadget_id = 70310039, pos = { x = 221.121, y = 20.112, z = 9.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6157] = { config_id = 6157, gadget_id = 70310039, pos = { x = 218.137, y = 20.112, z = 9.723 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6158] = { config_id = 6158, gadget_id = 70310039, pos = { x = 218.137, y = 20.112, z = 6.738 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6159] = { config_id = 6159, gadget_id = 70310039, pos = { x = 215.137, y = 20.112, z = 6.738 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6160] = { config_id = 6160, gadget_id = 70310039, pos = { x = 215.130, y = 20.112, z = 3.737 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6161] = { config_id = 6161, gadget_id = 70310039, pos = { x = 212.133, y = 20.112, z = 3.737 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6162] = { config_id = 6162, gadget_id = 70310039, pos = { x = 212.133, y = 20.112, z = 0.724 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6163] = { config_id = 6163, gadget_id = 70310039, pos = { x = 212.133, y = 20.112, z = -2.276 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6164] = { config_id = 6164, gadget_id = 70310039, pos = { x = 212.133, y = 20.112, z = -5.266 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6165] = { config_id = 6165, gadget_id = 70310039, pos = { x = 215.139, y = 20.112, z = -2.226 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6166] = { config_id = 6166, gadget_id = 70310039, pos = { x = 227.110, y = 20.112, z = -11.239 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6167] = { config_id = 6167, gadget_id = 70310039, pos = { x = 218.140, y = 20.112, z = -2.213 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6168] = { config_id = 6168, gadget_id = 70310039, pos = { x = 224.110, y = 20.112, z = -11.251 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6169] = { config_id = 6169, gadget_id = 70310039, pos = { x = 212.110, y = 20.112, z = -14.239 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6170] = { config_id = 6170, gadget_id = 70310039, pos = { x = 212.115, y = 20.112, z = -11.231 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6171] = { config_id = 6171, gadget_id = 70310039, pos = { x = 218.140, y = 20.112, z = -11.238 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6172] = { config_id = 6172, gadget_id = 70310039, pos = { x = 221.139, y = 20.112, z = -5.233 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6173] = { config_id = 6173, gadget_id = 70310039, pos = { x = 215.133, y = 20.112, z = -11.228 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6174] = { config_id = 6174, gadget_id = 70310039, pos = { x = 233.117, y = 20.112, z = -21.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6175] = { config_id = 6175, gadget_id = 70310039, pos = { x = 215.134, y = 20.112, z = -20.211 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6176] = { config_id = 6176, gadget_id = 70310039, pos = { x = 212.124, y = 20.112, z = -17.237 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6177] = { config_id = 6177, gadget_id = 70310039, pos = { x = 227.226, y = 20.112, z = 12.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6178] = { config_id = 6178, gadget_id = 70310039, pos = { x = 227.226, y = 20.112, z = 9.734 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6179] = { config_id = 6179, gadget_id = 70310039, pos = { x = 215.235, y = 20.112, z = -14.180 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6180] = { config_id = 6180, gadget_id = 70310039, pos = { x = 224.252, y = 20.112, z = 6.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6181] = { config_id = 6181, gadget_id = 70310039, pos = { x = 227.240, y = 20.112, z = 6.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6182] = { config_id = 6182, gadget_id = 70310039, pos = { x = 230.240, y = 20.112, z = 6.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6183] = { config_id = 6183, gadget_id = 70310039, pos = { x = 230.241, y = 20.112, z = 3.729 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6184] = { config_id = 6184, gadget_id = 70310039, pos = { x = 233.239, y = 20.112, z = 3.729 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6185] = { config_id = 6185, gadget_id = 70310039, pos = { x = 236.242, y = 20.112, z = 3.729 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6186] = { config_id = 6186, gadget_id = 70310039, pos = { x = 236.242, y = 20.112, z = 0.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6187] = { config_id = 6187, gadget_id = 70310039, pos = { x = 236.223, y = 20.112, z = -2.264 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6188] = { config_id = 6188, gadget_id = 70310039, pos = { x = 230.213, y = 20.112, z = -5.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6189] = { config_id = 6189, gadget_id = 70310039, pos = { x = 230.223, y = 20.112, z = -8.215 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6191] = { config_id = 6191, gadget_id = 70310039, pos = { x = 230.283, y = 20.138, z = 6.786 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6192] = { config_id = 6192, gadget_id = 70310039, pos = { x = 233.221, y = 20.112, z = -11.181 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6193] = { config_id = 6193, gadget_id = 70310039, pos = { x = 227.240, y = 20.112, z = -8.214 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6194] = { config_id = 6194, gadget_id = 70310039, pos = { x = 215.483, y = 20.138, z = -11.212 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6195] = { config_id = 6195, gadget_id = 70310039, pos = { x = 215.483, y = 20.138, z = -14.174 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6196] = { config_id = 6196, gadget_id = 70310039, pos = { x = 230.214, y = 20.112, z = -2.265 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6197] = { config_id = 6197, gadget_id = 70310039, pos = { x = 221.255, y = 20.112, z = 6.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6198] = { config_id = 6198, gadget_id = 70310039, pos = { x = 218.250, y = 20.112, z = 6.728 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6199] = { config_id = 6199, gadget_id = 70310039, pos = { x = 218.250, y = 20.112, z = 3.733 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6200] = { config_id = 6200, gadget_id = 70310039, pos = { x = 215.246, y = 20.112, z = 3.733 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6201] = { config_id = 6201, gadget_id = 70310039, pos = { x = 212.258, y = 20.112, z = 3.733 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6202] = { config_id = 6202, gadget_id = 70310039, pos = { x = 212.258, y = 20.112, z = 0.720 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6203] = { config_id = 6203, gadget_id = 70310039, pos = { x = 212.258, y = 20.112, z = -2.270 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6204] = { config_id = 6204, gadget_id = 70310039, pos = { x = 215.261, y = 20.112, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6205] = { config_id = 6205, gadget_id = 70310039, pos = { x = 224.214, y = 20.112, z = -14.203 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6206] = { config_id = 6206, gadget_id = 70310039, pos = { x = 224.214, y = 20.112, z = -14.183 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6207] = { config_id = 6207, gadget_id = 70310039, pos = { x = 221.213, y = 20.112, z = -14.201 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6208] = { config_id = 6208, gadget_id = 70310039, pos = { x = 215.254, y = 20.112, z = -8.217 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6209] = { config_id = 6209, gadget_id = 70310039, pos = { x = 221.234, y = 20.112, z = -8.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6210] = { config_id = 6210, gadget_id = 70310039, pos = { x = 215.255, y = 20.112, z = -11.186 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6211] = { config_id = 6211, gadget_id = 70310039, pos = { x = 218.243, y = 20.112, z = -8.203 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6212] = { config_id = 6212, gadget_id = 70310039, pos = { x = 224.242, y = 20.112, z = -8.214 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6213] = { config_id = 6213, gadget_id = 70310039, pos = { x = 233.212, y = 20.112, z = -14.158 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6214] = { config_id = 6214, gadget_id = 70310039, pos = { x = 230.213, y = 20.112, z = -14.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6215] = { config_id = 6215, gadget_id = 70310039, pos = { x = 227.222, y = 20.112, z = -14.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6216] = { config_id = 6216, gadget_id = 70310039, pos = { x = 212.518, y = 20.138, z = -5.201 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6217] = { config_id = 6217, gadget_id = 70310039, pos = { x = 215.483, y = 20.138, z = -17.141 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6218] = { config_id = 6218, gadget_id = 70310039, pos = { x = 227.457, y = 20.138, z = -17.199 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6219] = { config_id = 6219, gadget_id = 70310039, pos = { x = 218.479, y = 20.138, z = -24.250 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6220] = { config_id = 6220, gadget_id = 70310039, pos = { x = 221.273, y = 20.138, z = -17.128 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6221] = { config_id = 6221, gadget_id = 70310039, pos = { x = 224.273, y = 20.138, z = -17.130 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6222] = { config_id = 6222, gadget_id = 70310039, pos = { x = 214.050, y = 20.138, z = -20.125 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6223] = { config_id = 6223, gadget_id = 70310039, pos = { x = 214.050, y = 20.138, z = -23.107 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6224] = { config_id = 6224, gadget_id = 70310039, pos = { x = 216.973, y = 20.138, z = -24.120 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6225] = { config_id = 6225, gadget_id = 70310039, pos = { x = 230.075, y = 20.112, z = -17.210 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6226] = { config_id = 6226, gadget_id = 70310039, pos = { x = 230.075, y = 20.112, z = -20.194 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6227] = { config_id = 6227, gadget_id = 70310039, pos = { x = 227.082, y = 20.112, z = -20.181 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6228] = { config_id = 6228, gadget_id = 70310039, pos = { x = 221.045, y = 20.112, z = -23.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6229] = { config_id = 6229, gadget_id = 70310039, pos = { x = 218.071, y = 20.112, z = -24.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6230] = { config_id = 6230, gadget_id = 70310039, pos = { x = 224.059, y = 20.112, z = 0.741 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6231] = { config_id = 6231, gadget_id = 70310039, pos = { x = 213.687, y = 20.112, z = -2.298 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6232] = { config_id = 6232, gadget_id = 70310039, pos = { x = 221.079, y = 20.112, z = -5.241 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6233] = { config_id = 6233, gadget_id = 70310039, pos = { x = 221.079, y = 20.112, z = -8.230 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6234] = { config_id = 6234, gadget_id = 70310039, pos = { x = 218.088, y = 20.112, z = -8.230 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6235] = { config_id = 6235, gadget_id = 70310039, pos = { x = 221.128, y = 20.112, z = -11.238 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6236] = { config_id = 6236, gadget_id = 70310039, pos = { x = 233.117, y = 20.112, z = -24.209 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6237] = { config_id = 6237, gadget_id = 70310039, pos = { x = 230.109, y = 20.112, z = -8.307 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6238] = { config_id = 6238, gadget_id = 70310039, pos = { x = 230.101, y = 20.112, z = -11.251 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6239] = { config_id = 6239, gadget_id = 70310039, pos = { x = 221.140, y = 20.112, z = -2.220 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6240] = { config_id = 6240, gadget_id = 70310039, pos = { x = 221.256, y = 20.112, z = -24.192 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6241] = { config_id = 6241, gadget_id = 70310039, pos = { x = 218.256, y = 20.112, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6242] = { config_id = 6242, gadget_id = 70310039, pos = { x = 221.261, y = 20.112, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6243] = { config_id = 6243, gadget_id = 70310039, pos = { x = 224.265, y = 20.112, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6244] = { config_id = 6244, gadget_id = 70310039, pos = { x = 227.228, y = 20.020, z = -2.252 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6245] = { config_id = 6245, gadget_id = 70310039, pos = { x = 212.504, y = 20.138, z = -17.141 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6246] = { config_id = 6246, gadget_id = 70310039, pos = { x = 212.504, y = 20.138, z = -20.123 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6247] = { config_id = 6247, gadget_id = 70310039, pos = { x = 212.504, y = 20.138, z = -23.075 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6248] = { config_id = 6248, gadget_id = 70310039, pos = { x = 215.502, y = 20.138, z = -23.075 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6249] = { config_id = 6249, gadget_id = 70310039, pos = { x = 236.067, y = 20.112, z = -14.220 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6250] = { config_id = 6250, gadget_id = 70310039, pos = { x = 236.067, y = 20.112, z = -17.233 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6251] = { config_id = 6251, gadget_id = 70310039, pos = { x = 218.121, y = 20.112, z = -2.245 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6252] = { config_id = 6252, gadget_id = 70310039, pos = { x = 236.075, y = 20.112, z = -8.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6253] = { config_id = 6253, gadget_id = 70310039, pos = { x = 236.075, y = 20.112, z = -5.207 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6254] = { config_id = 6254, gadget_id = 70310039, pos = { x = 218.122, y = 20.112, z = 9.751 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6255] = { config_id = 6255, gadget_id = 70310039, pos = { x = 218.122, y = 20.112, z = 6.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6256] = { config_id = 6256, gadget_id = 70310039, pos = { x = 236.082, y = 20.112, z = 0.776 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6257] = { config_id = 6257, gadget_id = 70310039, pos = { x = 236.065, y = 20.112, z = -2.215 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6258] = { config_id = 6258, gadget_id = 70310039, pos = { x = 230.075, y = 20.112, z = -17.228 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6259] = { config_id = 6259, gadget_id = 70310039, pos = { x = 224.097, y = 20.112, z = -14.242 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6260] = { config_id = 6260, gadget_id = 70310039, pos = { x = 236.065, y = 20.112, z = -17.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6261] = { config_id = 6261, gadget_id = 70310039, pos = { x = 227.087, y = 20.112, z = -14.238 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6262] = { config_id = 6262, gadget_id = 70310039, pos = { x = 216.706, y = 20.112, z = 6.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6263] = { config_id = 6263, gadget_id = 70310039, pos = { x = 213.693, y = 20.112, z = 6.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6264] = { config_id = 6264, gadget_id = 70310039, pos = { x = 213.693, y = 20.112, z = 3.714 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6265] = { config_id = 6265, gadget_id = 70310039, pos = { x = 213.693, y = 20.112, z = 0.701 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6266] = { config_id = 6266, gadget_id = 70310039, pos = { x = 233.092, y = 20.112, z = -2.239 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6267] = { config_id = 6267, gadget_id = 70310039, pos = { x = 224.059, y = 20.112, z = 3.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6268] = { config_id = 6268, gadget_id = 70310039, pos = { x = 221.063, y = 20.112, z = 0.741 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6269] = { config_id = 6269, gadget_id = 70310039, pos = { x = 227.124, y = 20.112, z = -2.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6270] = { config_id = 6270, gadget_id = 70310039, pos = { x = 230.104, y = 20.112, z = -2.270 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6271] = { config_id = 6271, gadget_id = 70310039, pos = { x = 218.133, y = 20.112, z = -20.213 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6272] = { config_id = 6272, gadget_id = 70310039, pos = { x = 224.115, y = 20.112, z = 0.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6273] = { config_id = 6273, gadget_id = 70310039, pos = { x = 221.118, y = 20.112, z = 0.783 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6274] = { config_id = 6274, gadget_id = 70310039, pos = { x = 224.121, y = 20.112, z = 3.785 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6275] = { config_id = 6275, gadget_id = 70310039, pos = { x = 221.126, y = 20.112, z = -17.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6276] = { config_id = 6276, gadget_id = 70310039, pos = { x = 224.119, y = 20.112, z = -20.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6277] = { config_id = 6277, gadget_id = 70310039, pos = { x = 227.112, y = 20.112, z = -20.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6278] = { config_id = 6278, gadget_id = 70310039, pos = { x = 230.123, y = 20.112, z = -20.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6279] = { config_id = 6279, gadget_id = 70310039, pos = { x = 224.123, y = 20.112, z = -17.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6280] = { config_id = 6280, gadget_id = 70310039, pos = { x = 233.117, y = 20.112, z = -18.253 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6281] = { config_id = 6281, gadget_id = 70310039, pos = { x = 236.106, y = 20.112, z = -11.265 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6282] = { config_id = 6282, gadget_id = 70310039, pos = { x = 212.124, y = 20.112, z = -20.231 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6283] = { config_id = 6283, gadget_id = 70310039, pos = { x = 218.133, y = 20.112, z = -17.218 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6284] = { config_id = 6284, gadget_id = 70310039, pos = { x = 233.259, y = 20.138, z = 6.786 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6285] = { config_id = 6285, gadget_id = 70310039, pos = { x = 233.268, y = 20.138, z = 12.750 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6286] = { config_id = 6286, gadget_id = 70310039, pos = { x = 233.268, y = 20.138, z = 9.760 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6287] = { config_id = 6287, gadget_id = 70310039, pos = { x = 212.285, y = 20.138, z = 12.735 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6288] = { config_id = 6288, gadget_id = 70310039, pos = { x = 212.285, y = 20.138, z = 9.746 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6289] = { config_id = 6289, gadget_id = 70310039, pos = { x = 233.206, y = 20.138, z = 3.782 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6290] = { config_id = 6290, gadget_id = 70310039, pos = { x = 212.285, y = 20.138, z = 6.764 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6291] = { config_id = 6291, gadget_id = 70310039, pos = { x = 212.285, y = 20.138, z = 3.830 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6292] = { config_id = 6292, gadget_id = 70310039, pos = { x = 236.223, y = 20.112, z = -5.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6293] = { config_id = 6293, gadget_id = 70310039, pos = { x = 212.219, y = 20.112, z = -17.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6294] = { config_id = 6294, gadget_id = 70310039, pos = { x = 212.218, y = 20.112, z = -14.182 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6295] = { config_id = 6295, gadget_id = 70310039, pos = { x = 212.219, y = 20.112, z = -20.194 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6296] = { config_id = 6296, gadget_id = 70310039, pos = { x = 215.232, y = 20.112, z = -20.194 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6297] = { config_id = 6297, gadget_id = 70310039, pos = { x = 218.235, y = 20.112, z = -20.194 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6298] = { config_id = 6298, gadget_id = 70310039, pos = { x = 221.237, y = 20.112, z = -20.204 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6299] = { config_id = 6299, gadget_id = 70310039, pos = { x = 224.231, y = 20.112, z = -20.204 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6300] = { config_id = 6300, gadget_id = 70310039, pos = { x = 224.231, y = 20.112, z = -23.211 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6301] = { config_id = 6301, gadget_id = 70310039, pos = { x = 236.223, y = 20.112, z = -8.262 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6302] = { config_id = 6302, gadget_id = 70310042, pos = { x = 224.481, y = 25.184, z = -4.641 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6303] = { config_id = 6303, gadget_id = 70310041, pos = { x = 224.481, y = 21.630, z = 15.235 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[6310] = { config_id = 6310, gadget_id = 70360025, pos = { x = 224.615, y = 21.585, z = -29.945 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
	[6073] = { config_id = 6073, shape = RegionShape.CUBIC, size = { x = 60.000, y = 10.000, z = 100.000 }, pos = { x = 226.890, y = 14.080, z = -0.673 } },
	[6190] = { config_id = 6190, shape = RegionShape.CUBIC, size = { x = 60.000, y = 50.000, z = 100.000 }, pos = { x = 226.890, y = 18.881, z = -0.673 } },
	[6311] = { config_id = 6311, shape = RegionShape.SPHERE, radius = 5, pos = { x = 224.832, y = 21.613, z = -31.688 } }
}

-- 触发器
triggers = {
	{ config_id = 1006304, name = "GADGET_CREATE_6304", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6304", action = "action_EVENT_GADGET_CREATE_6304" },
	{ config_id = 1006305, name = "GADGET_CREATE_6305", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6305", action = "action_EVENT_GADGET_CREATE_6305" },
	{ config_id = 1006306, name = "GADGET_CREATE_6306", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6306", action = "action_EVENT_GADGET_CREATE_6306" },
	{ config_id = 1006307, name = "GADGET_CREATE_6307", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6307", action = "action_EVENT_GADGET_CREATE_6307" },
	{ config_id = 1006308, name = "GADGET_CREATE_6308", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6308", action = "action_EVENT_GADGET_CREATE_6308" },
	{ config_id = 1006309, name = "GADGET_CREATE_6309", event = EventType.EVENT_GADGET_CREATE, source = "", condition = "condition_EVENT_GADGET_CREATE_6309", action = "action_EVENT_GADGET_CREATE_6309" }
}

-- 变量
variables = {
	{ config_id = 1, name = "suites_index", value = 0, no_refresh = false }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 6074, 6075, 6302, 6303, 6310 },
		regions = { 6073, 6190, 6311 },
		triggers = { "GADGET_CREATE_6304", "GADGET_CREATE_6305", "GADGET_CREATE_6306", "GADGET_CREATE_6307", "GADGET_CREATE_6308", "GADGET_CREATE_6309" },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = 路线1-消失组,
		monsters = { },
		gadgets = { 6001, 6002, 6003, 6004, 6005, 6006, 6007, 6008, 6009, 6010, 6011, 6012, 6013, 6014, 6015, 6016, 6017, 6018, 6019, 6020, 6021, 6022, 6023, 6024, 6025, 6026, 6027, 6028, 6029, 6030, 6031, 6032, 6033, 6034, 6035, 6191, 6220, 6221, 6222, 6223, 6224, 6284, 6285, 6286, 6287, 6288, 6289, 6290, 6291 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 路线1-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 路线2-消失组,
		monsters = { },
		gadgets = { 6036, 6037, 6038, 6039, 6040, 6041, 6042, 6043, 6044, 6045, 6046, 6047, 6048, 6049, 6050, 6051, 6052, 6053, 6054, 6055, 6056, 6057, 6058, 6059, 6060, 6061, 6062, 6063, 6064, 6065, 6066, 6067, 6068, 6069, 6070, 6071, 6072, 6194, 6195, 6216, 6217, 6218, 6219, 6245, 6246, 6247, 6248 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 5,
		-- description = 路线2-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 6,
		-- description = 路线3-消失组,
		monsters = { },
		gadgets = { 6076, 6077, 6078, 6079, 6080, 6081, 6082, 6083, 6084, 6085, 6086, 6087, 6088, 6089, 6090, 6091, 6092, 6093, 6094, 6095, 6096, 6097, 6098, 6099, 6100, 6101, 6102, 6103, 6104, 6105, 6106, 6107, 6108, 6109, 6110, 6111, 6225, 6226, 6227, 6228, 6229, 6249, 6250, 6251, 6252, 6253, 6254, 6255, 6256, 6257 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 7,
		-- description = 路线3-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 8,
		-- description = 路线4-消失组,
		monsters = { },
		gadgets = { 6112, 6113, 6114, 6115, 6116, 6117, 6118, 6119, 6120, 6121, 6122, 6123, 6124, 6125, 6126, 6127, 6128, 6129, 6130, 6131, 6132, 6133, 6134, 6135, 6136, 6137, 6138, 6139, 6140, 6141, 6142, 6230, 6231, 6232, 6233, 6234, 6258, 6259, 6260, 6261, 6262, 6263, 6264, 6265, 6266, 6267, 6268 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 9,
		-- description = 路线4-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 10,
		-- description = 路线5-消失组,
		monsters = { },
		gadgets = { 6143, 6144, 6145, 6146, 6147, 6148, 6149, 6150, 6151, 6152, 6153, 6154, 6155, 6156, 6157, 6158, 6159, 6160, 6161, 6162, 6163, 6164, 6165, 6166, 6167, 6168, 6169, 6170, 6171, 6172, 6173, 6174, 6175, 6176, 6235, 6236, 6237, 6238, 6239, 6269, 6270, 6271, 6272, 6273, 6274, 6275, 6276, 6277, 6278, 6279, 6280, 6281, 6282, 6283 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 11,
		-- description = 路线5-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 12,
		-- description = 路线6-消失组,
		monsters = { },
		gadgets = { 6177, 6178, 6179, 6180, 6181, 6182, 6183, 6184, 6185, 6186, 6187, 6188, 6189, 6192, 6193, 6196, 6197, 6198, 6199, 6200, 6201, 6202, 6203, 6204, 6205, 6206, 6207, 6208, 6209, 6210, 6211, 6212, 6213, 6214, 6215, 6240, 6241, 6242, 6243, 6244, 6292, 6293, 6294, 6295, 6296, 6297, 6298, 6299, 6300, 6301 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 13,
		-- description = 路线6-常驻组,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 14,
		-- description = 初始化使用,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

-- 触发条件
function condition_EVENT_GADGET_CREATE_6304(context, evt)
	if 6001 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6304(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

-- 触发条件
function condition_EVENT_GADGET_CREATE_6305(context, evt)
	if 6036 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6305(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

-- 触发条件
function condition_EVENT_GADGET_CREATE_6306(context, evt)
	if 6112 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6306(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

-- 触发条件
function condition_EVENT_GADGET_CREATE_6307(context, evt)
	if 6143 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6307(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

-- 触发条件
function condition_EVENT_GADGET_CREATE_6308(context, evt)
	if 6177 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6308(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

-- 触发条件
function condition_EVENT_GADGET_CREATE_6309(context, evt)
	if 6076 ~= evt.param1 then
		return false
	end

	return true
end

-- 触发操作
function action_EVENT_GADGET_CREATE_6309(context, evt)
		-- 卸载指定gadget
		if 0 ~= ScriptLib.RemoveEntityByConfigId(context, 235800006, EntityType.GADGET, 6303 ) then
	    ScriptLib.PrintContextLog(context, "@@ LUA_WARNING : remove_gadget_by_configid")
			return -1
		end

	return 0
end

require "WindFlora_RecordFloorTransparent"
require "WindFlora_ReTrans"
